<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\SalesOrderPaymentForm;

class SalesOrderPaymentFormRepository extends Repository
{
    protected $model = SalesOrderPaymentForm::class;

    protected $searchableFields = [
    ];

    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
//        dd($values);
        foreach ($values['forma_pagamento'] as $value){
//            dd($value);
            $value['pvfp_fk_pev_codigo'] = $values['pvfp_fk_pev_codigo'];
            $value['pvfp_fk_fop_codigo'] = $value['fop_codigo'];
            try {
                parent::storeOrUpdate($value, $id, $relations);
            }catch (\Exception $e){
                return $e;
            }
        }
        return true;
    }

}
