<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Person\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Traits\HasPerson;

class Address extends Model
{

   use HasPerson;

   protected $prefix = 'pee';
   protected $connection = 'dynamicdb';
   const CREATED_AT = "pee_date_insert";
   const CREATED_BY = "pee_user_insert";
   const UPDATED_AT = "pee_date_update";
   const UPDATED_BY = "pee_user_update";
   protected $table = "cadastro.pessoa_endereco";
   protected $primaryKey = "pee_codigo";
   protected $fillable = [
      "pee_fk_pes_codigo",
      "pee_logradouro",
      "pee_numero",
      "pee_bairro",
      "pee_cep",
      "pee_pais",
      "pee_cidade",
      "pee_uf",
      "pee_user_insert",
      "pee_user_update",
      "pee_date_insert",
      "pee_date_update",
      "pee_padrao",
      "pee_complemento",
      "pee_latitude",
      "pee_longitude",
      "pee_tipo_endereco",
      "pee_fk_tpe_codigo",
      "pee_distancia_km",
      "pee_tipo_residencia",
      "pee_valor_aluguel"
   ];

}
