<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Utils\Services;


class Prorate
{

   public function proratedValueByQuantity($original_value, $prorated_quantity, $scale = 2)
   {
      bcscale($scale);
      $reminder = $original_value;
      $prorates = [];
      $prorated_value = number_format($original_value/$prorated_quantity, 2, '.', "");
      for ($i = 0; $i < $prorated_quantity - 1; $i++) {

         $prorates[$i]['value'] = $prorated_value;
         $reminder = bcsub($reminder, $prorated_value);

      }
      $prorates[$i]['value'] = $reminder;
      return $prorates;

   }

   public function proportionalProratedValue($total_value, $value, $prorates, $scale = 2)
   {
      bcscale($scale);
      foreach ($prorates as $key => &$prorate) {
         $proportion = bcdiv($prorate['value'], $total_value);
         $prorate['proportion'] = $proportion;
         $prorate['value'] = bcmul($value, $proportion);
      }
      return $prorates;

   }

}
